
QGIS Application - Bug report #13145

An error occurred when executing the query. The data provider said: no result buffer

2015-07-23 01:55 AM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.10.0 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21208

Description

error when wanting tho changes a Postgis filtered output with another in Qgis 2.9

History

#1 - 2015-07-23 04:32 AM - Jürgen Fischer

More output in the log?  Can you come up with a reproducable example?

#2 - 2015-07-30 02:59 PM - Giovanni Manghi

- Category set to Data Provider/PostGIS

- Status changed from Open to Feedback

#3 - 2015-08-20 12:42 AM - baditaflorin -

Can confirm the same error on Qgis 2.10

How do i access the log ? It`s not intuitive and i cannot find it

#4 - 2015-08-20 12:54 AM - baditaflorin -

- File advanced_filter_its_working.PNG added

Via Filter it`s not working, but if i use the advanced Filter it is working.

#5 - 2015-08-20 12:57 AM - baditaflorin -

- File anything_i_put.png added

the bug affect the Query builder by default, does not matter what i write, it`s a Postgis layer that you have loaded ? Then you will get the

The data provider said :

No result buffer

Still cannot find from where to access the log
#6 - 2015-08-20 01:06 AM - Jürgen Fischer

baditaflorin - wrote:

the bug affect the Query builder by default, does not matter what i write, it`s a Postgis layer that you have loaded ? Then you will get the

The data provider said :

No result buffer

Still cannot find from where to access the log

The grey bubble on the bottom right in the status bar  (used to be a warning sign with notifications on new messages).

#7 - 2015-08-20 01:08 AM - baditaflorin -

Qgis 2.10 does not have a log file anymore, from what i have seen

Opened a new ticket here #13239

I will update on this topic using Qgis 2.8.2 , because that version it`s not affected by this regression

#8 - 2015-08-20 01:12 AM - baditaflorin -

If you want to replicate

Step 1 : Load a Postgis layer

Step 2 : right click on the layer > click Filter

Step 3 : Write anything that you want and click Ok

#9 - 2015-08-20 01:17 AM - Jürgen Fischer

baditaflorin - wrote:

If you want to replicate

Step 1 : Load a Postgis layer

Step 2 : right click on the layer > click Filter

Step 3 : Write anything that you want and click Ok

Did you click on the bubble yet?

#10 - 2015-08-20 01:18 AM - baditaflorin -

- File qgis_2_8_2_working.PNG added

- Target version set to Version 2.10

Tested in Qgis 2.8.2 and it`s working.
So it`s a 2.9 / 2.10 error.

#11 - 2015-08-20 02:38 AM - baditaflorin -

- Target version deleted (Version 2.10)

This seems to be fixed in Qgis 2.11 Master Build 16d7a06

#12 - 2015-08-20 05:29 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented
